[previous](set01.md) : **Worksheet Set 2** : [next](set03.md)


## Key terms and concepts to understand
> &bull; Javascript  &bull; imperative programming  &bull; variable  &bull; value  &bull; literal  &bull; IPO operator &bull; expression  &bull; keyword  &bull; identifier  &bull;  data type &bull; strict mode  &bull; console  &bull;  algorithm  &bull; object-oriented programming  &bull; computer application  &bull;  text editor  &bull; client/server  &bull;  type conversion  &bull; function &bull method &bull;
> 
---

# Course material

## Read and analyze (analytical reading)

Observe and describe. Make notes. Explore the links provided in the material. Document what you have learned. When you come to an example, make your own version and explore it deeply. “Curiosity Is the engine of achievement.” —Sir Ken Robinson

1. [Javascript language, Programs, Data Structures](https://ebajcar.github.io/web10199/material/material_js.html)
2. <a href="https://www.w3schools.com/js/js_assignment.asp" target="_blank">JS Assignment</a>
3. <a target="_blank" href="https://www.w3schools.com/js/js_if_else.asp">JS Conditions</a>
4. <a target="_blank" href="https://www.w3schools.com/js/js_switch.asp">JS Switch</a>
5. <a target="_blank" href="https://www.w3schools.com/js/js_loop_for.asp">JS Loop For</a>
6. <a target="_blank" href="https://www.w3schools.com/js/js_loop_while.asp">JS Loop While</a>
7. <a target="_blank" href="https://www.w3schools.com/js/js_break.asp">JS Break</a>
8. [JavaScript building blocks](https://developer.mozilla.org/en-US/docs/Learn/JavaScript/Building_blocks) In this module, we continue our coverage of all JavaScript's key fundamental features, turning our attention to commonly-encountered types of code block such as conditional statements, loops, functions, and events. You've seen this stuff already in the course, but only in passing — here we'll discuss it all explicitly.
9. [Making decisions in your code — conditionals](https://developer.mozilla.org/en-US/docs/Learn/JavaScript/Building_blocks/conditionals) In any programming language, code needs to make decisions and carry out actions accordingly depending on different inputs. For example, in a game, if the player's number of lives is 0, then it's game over. In a weather app, if it is being looked at in the morning, show a sunrise graphic; show stars and a moon if it is nighttime. In this article we'll explore how so-called conditional statements work in JavaScript.

## Watch suggested videos

- ...

## Class examples

Explore, implement, and comment well.

- [var vs. let](syst10199/set2/var_vs_let.html)
- [if control structure and conditionals](syst10199/set2/if_structure.html)
- [`for` loop diagram](syst10199/set2/diagram_for_loop.html)
- [`for` loop used to loop through options in a `select` element](syst10199/set2/for_loop_options.html)
- [Fibonacci -console](syst10199/set2/fib_v1_console.html)
- [Fibonacci -console, array](syst10199/set2/fib_v1_arr_console.html)
- [Fibonacci -ES6](syst10199/set2/fib_es6_oo.html)
- [Fibonacci -ES6,iterator](syst10199/set2/fib_es6_iterator.html)
- [Eratosthenes Sieve (prime numbers)](syst10199/set2/eratosthenes_sieve.html)


## Formulate answers to the following questions
1. What is ...?



---


# Exercises

1. **Fibonacci numbers** *from previous worksheet* 
    - (v.4) &mdash; Modify your console version to display the sequence on the page. Use `document.write()` method.
    - (v.5) Extend the program to capture user’s input to determine how many numbers to display. Use `document.write()` method to display the sequence underneath the input control. 
2. **Temperature conversion** 
    - (v.2) &mdash; Modify your program to display on the page.
    - (v.3) &mdash; Extend the program to capture user's input to determine what value to convert. Display on the page with two (2) decimal places.
3. **Area of a circle** 
    - (v.2) &mdash; Extend the program to get the value from the user. Display on the page.
4. **Quadratic roots** 
    - (v.2) &mdash; Extend the problem to display the results on the page in an HTML table.
5. **Prime numbers** 
    - (v.2) &mdash; Extend the program to display on the page.
    - (v.3) &mdash; Modify the program to display the numbers in an unordered list.
7. **Is it a palindrome** 
    - (v.1) &mdash; Write a function that takes one argument, a string or a number, and checks if it is a palindrome, and returns a true or false. The function needs to ignore spaces and casing.
    - (v.2) &mdash; Create an array and populate with: 02022020, 1001, aba, "was it a car or a cat I saw" "never odd or even" "Step on no pets" "Funny enough"   "new moon", "selfless". You can add your own members. Test your function for each member. Output to console, for examples: `01011010 true` and so on.
6. **Game of Casino Craps**
	- (v.1) Write a program that lets a user to play a game of casino craps in the console.
7. **Game of Rock Paper Scissors**
	- (v.1) Write out an algorithm for the game of Rock Paper Scissors.  Assume one human players plays against the computer.
8. **Game of Tic Tac Toe**
	- (v.1) Write out an algorithm for the game of tic tac toe.  Assume two human players sit together with a sheet of paper (or single monitor/keyboard) and take turns.
  
  
---
> *The materials provided in class and in SLATE are protected by copyright. They are intended for the personal, educational uses of students in this course and should not be shared externally or on websites such as Course Hero or OneClass. Unauthorized distribution may result in copyright infringement and violation of Sheridan policies.*
> 
> **SYST10199 Web Programming @ Sheridan College**
